---
abstract: 'CPAN distribution implementing an XML grammar and a lightweight markup language for stories, novels and other fiction.'
author:
  - 'Shlomi Fish <shlomif@cpan.org>'
build_requires:
  File::Spec: '0'
  IO::Handle: '0'
  IPC::Open3: '0'
  Module::Build: '0.28'
  Test::More: '0.88'
  Test::XML::Ordered: v0.0.5
  lib: '0'
  utf8: '0'
configure_requires:
  Module::Build: '0.28'
dynamic_config: 0
generated_by: 'Dist::Zilla version 6.017, CPAN::Meta::Converter version 2.150010'
license: mit
meta-spec:
  url: http://module-build.sourceforge.net/META-spec-v1.4.html
  version: '1.4'
name: XML-Grammar-Fiction
provides:
  XML::Grammar::Fiction:
    file: lib/XML/Grammar/Fiction.pm
    version: v0.24.0
  XML::Grammar::Fiction::App::FromProto:
    file: lib/XML/Grammar/Fiction/App/FromProto.pm
    version: v0.24.0
  XML::Grammar::Fiction::App::ToDocBook:
    file: lib/XML/Grammar/Fiction/App/ToDocBook.pm
    version: v0.24.0
  XML::Grammar::Fiction::App::ToHTML:
    file: lib/XML/Grammar/Fiction/App/ToHTML.pm
    version: v0.24.0
  XML::Grammar::Fiction::Err:
    file: lib/XML/Grammar/Fiction/Err.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto:
    file: lib/XML/Grammar/Fiction/FromProto.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node:
    file: lib/XML/Grammar/Fiction/FromProto/Node.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::Comment:
    file: lib/XML/Grammar/Fiction/FromProto/Node/Comment.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::Description:
    file: lib/XML/Grammar/Fiction/FromProto/Node/Description.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::Element:
    file: lib/XML/Grammar/Fiction/FromProto/Node/Element.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::InnerDesc:
    file: lib/XML/Grammar/Fiction/FromProto/Node/InnerDesc.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::List:
    file: lib/XML/Grammar/Fiction/FromProto/Node/List.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::Paragraph:
    file: lib/XML/Grammar/Fiction/FromProto/Node/Paragraph.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::Saying:
    file: lib/XML/Grammar/Fiction/FromProto/Node/Saying.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::Text:
    file: lib/XML/Grammar/Fiction/FromProto/Node/Text.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Node::WithContent:
    file: lib/XML/Grammar/Fiction/FromProto/Node/WithContent.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Parser:
    file: lib/XML/Grammar/Fiction/FromProto/Parser.pm
    version: v0.24.0
  XML::Grammar::Fiction::FromProto::Parser::QnD:
    file: lib/XML/Grammar/Fiction/FromProto/Parser/QnD.pm
    version: v0.24.0
  XML::Grammar::Fiction::Struct::Tag:
    file: lib/XML/Grammar/Fiction/Struct/Tag.pm
    version: v0.24.0
  XML::Grammar::Fiction::Struct::Tag::Para:
    file: lib/XML/Grammar/Fiction/Struct/Tag.pm
    version: v0.24.0
  XML::Grammar::Fiction::ToDocBook:
    file: lib/XML/Grammar/Fiction/ToDocBook.pm
    version: v0.24.0
  XML::Grammar::Fiction::ToHTML:
    file: lib/XML/Grammar/Fiction/ToHTML.pm
    version: v0.24.0
  XML::Grammar::FictionBase::Event:
    file: lib/XML/Grammar/FictionBase/Event.pm
    version: v0.24.0
  XML::Grammar::FictionBase::FromProto::Parser::LineIterator:
    file: lib/XML/Grammar/FictionBase/FromProto/Parser/LineIterator.pm
    version: v0.24.0
  XML::Grammar::FictionBase::FromProto::Parser::XmlIterator:
    file: lib/XML/Grammar/FictionBase/FromProto/Parser/XmlIterator.pm
    version: v0.24.0
  XML::Grammar::FictionBase::TagsTree2XML:
    file: lib/XML/Grammar/FictionBase/TagsTree2XML.pm
    version: v0.24.0
  XML::Grammar::FictionBase::XSLT::Converter:
    file: lib/XML/Grammar/FictionBase/XSLT/Converter.pm
    version: v0.24.0
  XML::Grammar::Screenplay:
    file: lib/XML/Grammar/Screenplay.pm
    version: v0.24.0
  XML::Grammar::Screenplay::API::ImageListDoc:
    file: lib/XML/Grammar/Screenplay/API/ImageListDoc.pm
    version: v0.24.0
  XML::Grammar::Screenplay::App::FromProto:
    file: lib/XML/Grammar/Screenplay/App/FromProto.pm
    version: v0.24.0
  XML::Grammar::Screenplay::App::ToDocBook:
    file: lib/XML/Grammar/Screenplay/App/ToDocBook.pm
    version: v0.24.0
  XML::Grammar::Screenplay::App::ToHTML:
    file: lib/XML/Grammar/Screenplay/App/ToHTML.pm
    version: v0.24.0
  XML::Grammar::Screenplay::Base:
    file: lib/XML/Grammar/Screenplay/Base.pm
    version: v0.24.0
  XML::Grammar::Screenplay::FromProto:
    file: lib/XML/Grammar/Screenplay/FromProto.pm
    version: v0.24.0
  XML::Grammar::Screenplay::FromProto::API::ListImages:
    file: lib/XML/Grammar/Screenplay/FromProto/API/ListImages.pm
    version: v0.24.0
  XML::Grammar::Screenplay::FromProto::Parser:
    file: lib/XML/Grammar/Screenplay/FromProto/Parser.pm
    version: v0.24.0
  XML::Grammar::Screenplay::FromProto::Parser::QnD:
    file: lib/XML/Grammar/Screenplay/FromProto/Parser/QnD.pm
    version: v0.24.0
  XML::Grammar::Screenplay::ToDocBook:
    file: lib/XML/Grammar/Screenplay/ToDocBook.pm
    version: v0.24.0
  XML::Grammar::Screenplay::ToHTML:
    file: lib/XML/Grammar/Screenplay/ToHTML.pm
    version: v0.24.0
  XML::Grammar::Screenplay::ToTEI:
    file: lib/XML/Grammar/Screenplay/ToTEI.pm
    version: v0.24.0
requires:
  Carp: '0'
  Exception::Class: '0'
  Exporter: '0'
  File::ShareDir: '0'
  File::Spec: '0'
  Getopt::Long: '0'
  HTML::Entities: '0'
  List::MoreUtils: '0'
  List::Util: '0'
  MooX: '0'
  MooX::late: '0.010'
  Path::Tiny: '0'
  XML::GrammarBase::Role::RelaxNG: '0'
  XML::GrammarBase::Role::XSLT: v0.2.1
  XML::LibXML: '0'
  XML::LibXSLT: '0'
  XML::Writer: '0'
  autodie: '0'
  base: '0'
  parent: '0'
  perl: '5.014'
  strict: '0'
  warnings: '0'
resources:
  bugtracker: https://github.com/shlomif/fiction-xml/issues
  homepage: http://metacpan.org/release/XML-Grammar-Fiction
  repository: git://github.com/shlomif/fiction-xml.git
version: 0.24.0
x_Dist_Zilla:
  perl:
    version: '5.032001'
  plugins:
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: test
          type: requires
      name: '@Filter/TestMoreDoneTesting'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::AutoPrereqs
      name: '@Filter/AutoPrereqs'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::ExecDir
      name: '@Filter/ExecDir'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::GatherDir
      config:
        Dist::Zilla::Plugin::GatherDir:
          exclude_filename: []
          exclude_match: []
          follow_symlinks: 0
          include_dotfiles: 0
          prefix: ''
          prune_directory: []
          root: .
      name: '@Filter/GatherDir'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::License
      name: '@Filter/License'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::ManifestSkip
      name: '@Filter/ManifestSkip'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::MetaYAML
      name: '@Filter/MetaYAML'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::PruneCruft
      name: '@Filter/PruneCruft'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::Readme
      name: '@Filter/Readme'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::RunExtraTests
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: '4'
      name: '@Filter/RunExtraTests'
      version: '0.029'
    -
      class: Dist::Zilla::Plugin::ShareDir
      name: '@Filter/ShareDir'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::CheckChangesHasContent
      name: '@Filter/CheckChangesHasContent'
      version: '0.011'
    -
      class: Dist::Zilla::Plugin::ConfirmRelease
      name: '@Filter/ConfirmRelease'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::Manifest
      name: '@Filter/Manifest'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::MetaConfig
      name: '@Filter/MetaConfig'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::MetaJSON
      name: '@Filter/MetaJSON'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::MetaProvides::Package
      config:
        Dist::Zilla::Plugin::MetaProvides::Package:
          finder_objects:
            -
              class: Dist::Zilla::Plugin::FinderCode
              name: '@Filter/MetaProvides::Package/AUTOVIV/:InstallModulesPM'
              version: '6.017'
          include_underscores: 0
        Dist::Zilla::Role::MetaProvider::Provider:
          $Dist::Zilla::Role::MetaProvider::Provider::VERSION: '2.002004'
          inherit_missing: '1'
          inherit_version: '1'
          meta_noindex: '1'
        Dist::Zilla::Role::ModuleMetadata:
          Module::Metadata: '1.000037'
          version: '0.006'
      name: '@Filter/MetaProvides::Package'
      version: '2.004003'
    -
      class: Dist::Zilla::Plugin::MetaResources
      name: '@Filter/MetaResources'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::PkgVersion
      name: '@Filter/PkgVersion'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::PodCoverageTests
      name: '@Filter/PodCoverageTests'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::PodSyntaxTests
      name: '@Filter/PodSyntaxTests'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::Test::Compile
      config:
        Dist::Zilla::Plugin::Test::Compile:
          bail_out_on_fail: '0'
          fail_on_warning: author
          fake_home: 0
          filename: t/00-compile.t
          module_finder:
            - ':InstallModules'
          needs_display: 0
          phase: test
          script_finder:
            - ':PerlExecFiles'
          skips: []
          switch: []
      name: '@Filter/Test::Compile'
      version: '2.058'
    -
      class: Dist::Zilla::Plugin::Test::CPAN::Changes
      config:
        Dist::Zilla::Plugin::Test::CPAN::Changes:
          changelog: Changes
      name: '@Filter/Test::CPAN::Changes'
      version: '0.012'
    -
      class: Dist::Zilla::Plugin::Test::EOL
      config:
        Dist::Zilla::Plugin::Test::EOL:
          filename: xt/author/eol.t
          finder:
            - ':ExecFiles'
            - ':InstallModules'
            - ':TestFiles'
          trailing_whitespace: 1
      name: '@Filter/Test::EOL'
      version: '0.19'
    -
      class: Dist::Zilla::Plugin::Test::NoTabs
      config:
        Dist::Zilla::Plugin::Test::NoTabs:
          filename: xt/author/no-tabs.t
          finder:
            - ':InstallModules'
            - ':ExecFiles'
            - ':TestFiles'
      name: '@Filter/Test::NoTabs'
      version: '0.15'
    -
      class: Dist::Zilla::Plugin::Test::TrailingSpace
      name: '@Filter/Test::TrailingSpace'
      version: ~
    -
      class: Dist::Zilla::Plugin::TestRelease
      name: '@Filter/TestRelease'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::PodWeaver
      config:
        Dist::Zilla::Plugin::PodWeaver:
          finder:
            - ':InstallModules'
            - ':ExecFiles'
          plugins:
            -
              class: Pod::Weaver::Plugin::SingleEncoding
              name: '@SHLOMIF/SingleEncoding'
              version: '4.017'
            -
              class: Pod::Weaver::Plugin::WikiDoc
              name: '@SHLOMIF/WikiDoc'
              version: '0.093004'
            -
              class: Pod::Weaver::Plugin::EnsurePod5
              name: '@CorePrep/EnsurePod5'
              version: '4.017'
            -
              class: Pod::Weaver::Plugin::H1Nester
              name: '@CorePrep/H1Nester'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Generic
              name: '@SHLOMIF/Name'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Version
              name: '@SHLOMIF/Version'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Region
              name: '@SHLOMIF/Prelude'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Generic
              name: '@SHLOMIF/Synopsis'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Generic
              name: '@SHLOMIF/Description'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Generic
              name: '@SHLOMIF/Usage'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Generic
              name: '@SHLOMIF/Overview'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Generic
              name: '@SHLOMIF/Stability'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Collect
              name: Requirements
              version: '4.017'
            -
              class: Pod::Weaver::Section::Collect
              name: Attributes
              version: '4.017'
            -
              class: Pod::Weaver::Section::Collect
              name: Constructors
              version: '4.017'
            -
              class: Pod::Weaver::Section::Collect
              name: Methods
              version: '4.017'
            -
              class: Pod::Weaver::Section::Collect
              name: Functions
              version: '4.017'
            -
              class: Pod::Weaver::Section::Leftovers
              name: '@SHLOMIF/Leftovers'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Region
              name: '@SHLOMIF/postlude'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Support
              name: '@SHLOMIF/Support'
              version: '1.013'
            -
              class: Pod::Weaver::Section::Authors
              name: '@SHLOMIF/Authors'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Bugs
              name: '@SHLOMIF/Bugs'
              version: '4.017'
            -
              class: Pod::Weaver::Section::Contributors
              name: '@SHLOMIF/Contributors'
              version: '0.009'
            -
              class: Pod::Weaver::Section::Legal
              name: '@SHLOMIF/Legal'
              version: '4.017'
            -
              class: Pod::Weaver::Plugin::Transformer
              name: '@SHLOMIF/List'
              version: '4.017'
      name: '@Filter/PodWeaver'
      version: '4.008'
    -
      class: Dist::Zilla::Plugin::UploadToCPAN
      name: '@Filter/UploadToCPAN'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::ExecDir
      name: ExecDir
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::ModuleBuild
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: '4'
      name: ModuleBuild
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: runtime
          type: requires
      name: Runtime
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: test
          type: requires
      name: Test
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::Test::TidyAll
      name: Test::TidyAll
      version: '0.04'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':InstallModules'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':IncModules'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':TestFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExtraTestFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExecFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':PerlExecFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ShareFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':MainModule'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':AllFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':NoFiles'
      version: '6.017'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: '@Filter/MetaProvides::Package/AUTOVIV/:InstallModulesPM'
      version: '6.017'
  zilla:
    class: Dist::Zilla::Dist::Builder
    config:
      is_trial: '0'
    version: '6.017'
x_generated_by_perl: v5.32.1
x_serialization_backend: 'YAML::Tiny version 1.73'
x_spdx_expression: MIT
